gtksourceviewmm: Gsv::Mark Class Reference

gtksourceviewmm 3.18.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gsv::Mark Class Reference

Mark class for Buffer. More...

`#include <gtksourceviewmm/mark.h>`

Inheritance diagram for Gsv::Mark:
[legend]

## Public Member Functions
| Mark (Mark&& src) noexcept
Mark& | operator= (Mark&& src) noexcept
| ~Mark () noexcept override
GtkSourceMark* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceMark* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceMark* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_category () const
| Returns the mark category.
Glib::RefPtr< Gsv::Mark > | next (const Glib::ustring& category)
| Returns the next Mark in the buffer.
Glib::RefPtr< const Gsv::Mark > | next (const Glib::ustring& category) const
| Returns the next Mark in the buffer.
Glib::RefPtr< Gsv::Mark > | next ()
| Returns the next Mark of any category in the buffer.
Glib::RefPtr< const Gsv::Mark > | next () const
| Returns the next Mark of any category in the buffer.
Glib::RefPtr< Gsv::Mark > | prev (const Glib::ustring& category)
| Returns the previous Mark in the buffer.
Glib::RefPtr< const Gsv::Mark > | prev (const Glib::ustring& category) const
| Returns the previous Mark in the buffer.
Glib::RefPtr< Gsv::Mark > | prev ()
| Returns the previous Mark of any category in the buffer.
Glib::RefPtr< const Gsv::Mark > | prev () const
| Returns the previous Mark of any category in the buffer.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_category () const
| The mark category.
Public Member Functions inherited from Gtk::TextMark
| TextMark (TextMark &&src) noexcept
TextMark & | operator= (TextMark &&src) noexcept
| ~TextMark () noexcept override
GtkTextMark * | gobj ()
const GtkTextMark * | gobj () const
GtkTextMark * | gobj_copy ()
void | set_visible (bool setting=true)
bool | get_visible () const
Glib::ustring | get_name () const
bool | get_deleted () const
Glib::RefPtr< TextBuffer > | get_buffer ()
Glib::RefPtr< const TextBuffer > | get_buffer () const
bool | get_left_gravity () const
TextIter | get_iter ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
Glib::PropertyProxy_ReadOnly< bool > | property_left_gravity () const
Glib::RefPtr< Gtk::TextMark > | wrap (GtkTextMark *object, bool take_copy=false)

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< Mark > | create (const Glib::ustring& category)
| Creates an anonymous text mark.
static Glib::RefPtr< Mark > | create (const Glib::ustring& name, const Glib::ustring& category)
| Creates a text mark.
Static Public Member Functions inherited from Gtk::TextMark
static GType | get_type ()
static Glib::RefPtr< TextMark > | create (bool left_gravity=true)
static Glib::RefPtr< TextMark > | create (const Glib::ustring &name, bool left_gravity=true)

## Protected Member Functions
| Mark (const Glib::ustring& category)
| Mark (const Glib::ustring& name, const Glib::ustring& category)
Protected Member Functions inherited from Gtk::TextMark
| TextMark (bool left_gravity=true)
| TextMark (const Glib::ustring &name, bool left_gravity=true)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::Mark > | wrap (GtkSourceMark* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Mark class for Buffer.

Since gtksourceviewmm 2.2

## Constructor & Destructor Documentation

## ◆ Mark() [1/3]

Gsv::Mark::Mark | ( | Mark&& | src | ) |
| noexcept

## ◆ ~Mark()

Gsv::Mark::~Mark | ( |  | ) |
| overridenoexcept

## ◆ Mark() [2/3]

Gsv::Mark::Mark | ( | const Glib::ustring & | category | ) |
| explicitprotected

## ◆ Mark() [3/3]

Gsv::Mark::Mark | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | category )
| explicitprotected

## Member Function Documentation

## ◆ create() [1/2]

static Glib::RefPtr< Mark > Gsv::Mark::create | ( | const Glib::ustring & | category | ) |
| static

Creates an anonymous text mark.

Add it to a buffer using Gtk::TextBuffer::add_mark(). Note that such marks cannot be retrieved by using Gtk::TextBuffer::get_mark(). Normally marks are created using the utility function Gsv::Buffer::create_source_mark().

Parameters

  category | Is used to classify marks according to common characteristics (e.g. all the marks representing a bookmark could belong to the "bookmark" category, or all the marks representing a compilation error could belong to "error" category).

Returns
  A new anonymous Mark that can be added using GtkTextBuffer::add_mark().

## ◆ create() [2/2]

static Glib::RefPtr< Mark > Gsv::Mark::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | category )
| static

Creates a text mark.

Add it to a buffer using Gtk::TextBuffer::add_mark(). The mark can be retrieved by name by using Gtk::TextBuffer::get_mark(). Normally marks are created using the utility function Buffer::create_source_mark().

Parameters

  category | Is used to classify marks according to common characteristics (e.g. all the marks representing a bookmark could belong to the "bookmark" category, or all the marks representing a compilation error could belong to "error" category).
  name | Name of the Mark.

Returns
  A new Mark that can be added using GtkTextBuffer::add_mark().

## ◆ get_category()

Glib::ustring Gsv::Mark::get_category | ( |  | ) | const

Returns the mark category.

Returns
  The category of the Mark.

Since gtksourceviewmm 2.2

## ◆ get_type()

static GType Gsv::Mark::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceMark * Gsv::Mark::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceMark * Gsv::Mark::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSourceMark * Gsv::Mark::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ next() [1/4]

Glib::RefPtr< Gsv::Mark > Gsv::Mark::next | ( |  | ) |

Returns the next Mark of any category in the buffer.

If there is no next mark, empty refptr will be returned.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ next() [2/4]

Glib::RefPtr< const Gsv::Mark > Gsv::Mark::next | ( |  | ) | const

Returns the next Mark of any category in the buffer.

If there is no next mark, empty refptr will be returned.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ next() [3/4]

Glib::RefPtr< Gsv::Mark > Gsv::Mark::next | ( | const Glib::ustring & | category | ) |

Returns the next Mark in the buffer.

If there is no next mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ next() [4/4]

Glib::RefPtr< const Gsv::Mark > Gsv::Mark::next | ( | const Glib::ustring & | category | ) | const

Returns the next Mark in the buffer.

If there is no next mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The next Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ operator=()

Mark& Gsv::Mark::operator= | ( | Mark&& | src | ) |
| noexcept

## ◆ prev() [1/4]

Glib::RefPtr< Gsv::Mark > Gsv::Mark::prev | ( |  | ) |

Returns the previous Mark of any category in the buffer.

If there is no previous mark, empty refptr will be returned.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ prev() [2/4]

Glib::RefPtr< const Gsv::Mark > Gsv::Mark::prev | ( |  | ) | const

Returns the previous Mark of any category in the buffer.

If there is no previous mark, empty refptr will be returned.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ prev() [3/4]

Glib::RefPtr< Gsv::Mark > Gsv::Mark::prev | ( | const Glib::ustring & | category | ) |

Returns the previous Mark in the buffer.

If there is no previous mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ prev() [4/4]

Glib::RefPtr< const Gsv::Mark > Gsv::Mark::prev | ( | const Glib::ustring & | category | ) | const

Returns the previous Mark in the buffer.

If there is no previous mark, empty refptr will be returned.

Parameters

  category | A string specifying the mark category.

Returns
  The previous Mark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2

## ◆ property_category()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Mark::property_category | ( |  | ) | const

The mark category.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::Mark > wrap | ( | GtkSourceMark * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.